## ros-lunar-laser-proc 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(laser_proc)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS roscpp sensor_msgs rosconsole nodelet pluginlib)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES laser_proc_library laser_publisher laser_transport laser_proc_ROS LaserProcNodelet
  CATKIN_DEPENDS roscpp sensor_msgs rosconsole nodelet
  DEPENDS
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include ${catkin_INCLUDE_DIRS})

## Library that does actual conversion
add_library(laser_proc_library src/LaserProc.cpp)
target_link_libraries(laser_proc_library ${catkin_LIBRARIES})

## Publisher library
add_library(laser_publisher src/LaserPublisher.cpp)
target_link_libraries(laser_publisher laser_proc_library ${catkin_LIBRARIES})

## Factory for making LaserPublishers
add_library(laser_transport src/LaserTransport.cpp)
target_link_libraries(laser_transport laser_publisher ${catkin_LIBRARIES})

## ROS Library
add_library(laser_proc_ROS src/LaserProcROS.cpp)
target_link_libraries(laser_proc_ROS laser_transport ${catkin_LIBRARIES})

## Nodelet wrapper
add_library(LaserProcNodelet src/LaserProcNodelet.cpp)
target_link_libraries(LaserProcNodelet laser_proc_ROS ${catkin_LIBRARIES})

## Node wrapper
add_executable(laser_proc src/laser_proc.cpp)
target_link_libraries(laser_proc laser_proc_ROS ${catkin_LIBRARIES})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS laser_proc_library laser_publisher laser_transport laser_proc_ROS LaserProcNodelet laser_proc
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h"
   PATTERN ".svn" EXCLUDE
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES nodelets.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-lunar-laser-proc (0.1.4-1xenial) xenial; urgency=high

  * Install fix for Android.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Sun, 30 Mar 2014 07:00:00 -0000

ros-lunar-laser-proc (0.1.3-1xenial) xenial; urgency=high

  * No more Willow Garage email.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Wed, 21 Aug 2013 07:00:00 -0000

ros-lunar-laser-proc (0.1.2-1xenial) xenial; urgency=high

  * Uncaught except when subscribing to most_intense on non-intensity scans.
  * Updated function to be const.
  * Contributors: chadrockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Thu, 14 Mar 2013 07:00:00 -0000

ros-lunar-laser-proc (0.1.1-1xenial) xenial; urgency=high

  * Merge pull request #1 <https://github.com/ros-perception/laser_proc/issues/1> from ros-perception/fix_pluginlib_depend
    Add missing dependency on pluginlib
  * Add missing dependency on pluginlib
  * Contributors: Chad Rockey, William Woodall

 -- Chad Rockey <chadrockey@willowgarage.com>  Fri, 08 Mar 2013 08:00:00 -0000

ros-lunar-laser-proc (0.1.0-1xenial) xenial; urgency=high

  * Minor fixes.
  * Added ROS nodelet/node.
  * Adjusted advertiseLaser to be more standard.  Fixed seg fault with first and laser publishers.
  * Preparing to test with urg_node
  * Initial commit
  * Contributors: Chad Rockey, chadrockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Mon, 04 Mar 2013 08:00:00 -0000

=== debian/control ===
Source: ros-lunar-laser-proc
Section: misc
Priority: extra
Maintainer: Chad Rockey <chadrockey@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-nodelet, ros-lunar-pluginlib, ros-lunar-rosconsole, ros-lunar-roscpp, ros-lunar-sensor-msgs
Homepage: http://ros.org/wiki/laser_proc
Standards-Version: 3.9.2

Package: ros-lunar-laser-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-nodelet, ros-lunar-pluginlib, ros-lunar-rosconsole, ros-lunar-roscpp, ros-lunar-sensor-msgs
Description: laser_proc

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-laser-proc//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
